Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 175494 - Please provide option to clear the search history.
Please provide option to clear the search history.
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Quick Search
6.x
PC Linux
: P3 (vote)
: 8.0
Assigned To: Jaroslav Havlin
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 10:36 UTC by hantsy
Modified: 2013-10-09 07:52 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
screenshot (84.51 KB, image/png)
2009-10-27 10:38 UTC, hantsy
Details
screenshot (8.68 KB, image/png)
2009-12-15 01:45 UTC, hantsy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hantsy 2009-10-27 10:36:38 UTC
I never use this functionality before, it is slow.
I tried yesterday, and search a Hibernate in maven repository.

I started  NetBeans today, and I found the cursor was focused on the search text field. 
And the history was displayed.
I clicked the search icon tried to find an action to clear the history, but I can not find it.
The worst is that the history displayed every time the cursor was focused.
Comment 1 hantsy 2009-10-27 10:38:50 UTC
Created attachment 90119 [details]
screenshot
Comment 2 David Simonek 2009-10-27 11:26:51 UTC
Well, yes the focus thing is unpleasant, but it's kind of Swing behavior combined with the UI of quick search, we can't
do much about it. It is enough to press Esc and focus will go away and history will be hidden.

However, "clear history" command is pretty common, so we should consider adding it. I'm changing to enhancement to track it.
Comment 3 hantsy 2009-12-14 23:56:21 UTC
I think it can design a new UI/Component to accomplish this.
Please steal some idea from JEdit UI.
Comment 4 David Simonek 2009-12-15 01:03:00 UTC
Sorry, I don't understand your comment. Can you please be more specific and explain in greater detail? Thanks.
Comment 5 hantsy 2009-12-15 01:45:39 UTC
Created attachment 92581 [details]
screenshot

Jedit provide an entrybox(reuse in all jedit components) with history management.
But it is not produce this problem.
Comment 6 Jaroslav Havlin 2013-10-09 07:52:25 UTC
http://hg.netbeans.org/core-main/rev/d069b37a9185
Fixed. The "Clear recent searches" action is shown below recent searches in the
Quick Search pop-up menu.
Thank you for reporting.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo